E-COMMERCE API DOCUMENTATION

***TEST ACCOUNTS:***
- Regular User 1:
     - email: mike@gmail.com
     - pwd: trout27
- Regular User 2:
     - email: mookie@gmail.com
     - pwd: betts50
- Admin User:
    - email: shohei@gmail.com
    - pwd: ohtani17
    

***ROUTES:***
- User registration (POST)
    - http://localhost:4000/users/register
    - request body: 
        - email (string)
        - password (string)
- User authentication (POST)
    - http://localhost:4000/users/login
    - request body: 
        - email (string)
        - password (string)
- Create Product (Admin only) (POST)
    - http://localhost:4000/products/
    - request body: 
        - name (string)
        - description (string)
        - price (number)
- Retrieve all products (Admin only) (GET)
    - http://localhost:4000/products/all
    - request body: none
- Retrieve all active products (GET)
    - http://localhost:4000/products/activeProducts
    - request body: none
-Retrieve a specific product (GET)
    - http://localhost:4000/products/:productId
    - request body: none
- Update product information (Admin Only) (PUT)
    - http://localhost:4000/products/:productId/update
    - request body:
        - name (string)
        - description (string)
        - price (number)
- Archive Product (Admin Only) (PUT)
    - http://localhost:4000/products/:productId/archive
    - request body: none
- Activate Product (Admin Only) (PUT)
    - http://localhost:4000/products/:productId/activate
    - request body: none
- Non-admin User Checkout (Create Order) (POST)
    - http://localhost:4000/orders/checkout
    - request body:
        - products:
            - productId (string)
            - quantity (number)
- Retrieve User Details (GET)
    - http://localhost:4000/users/:userId
    - request body: none
- Retrieve authenticated user’s orders (GET)
    - http://localhost:4000/orders/myOrders
    - request body: none
    - authorization: bearer token of authenticated user